geronimo-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Mark Kirkwood <mar...@paradise.net.nz>
Subject Re: 1.0 src build failure
Date Sun, 12 Feb 2006 01:03:22 GMT
Kevan Miller wrote:
> 
> On Feb 11, 2006, at 5:29 PM, Mark Kirkwood wrote:
> 
>> I thought I would have a got at building the 1.0 release from src  on 
>> FreeBSD 6.0/i386 using jdk 1.4.2, ant 1.6.5 and maven 1.0.2
>>
>> I am getting what looks like a missing dependency error - any ideas?
> 
> 
> Hi Mark,
> See http://issues.apache.org/jira/browse/GERONIMO-1449 . This earlier  
> posting http://article.gmane.org/gmane.comp.java.geronimo.user/1607/ 
> match= should get you going...
> 

Thanks for such a quick reply!

I applied the patch to 'configs/j2ee-server/project.xml' as indicated, 
cleared the repository and rebuilt. Same error! I also tried manually 
putting 'geronimo-spec-corba-2.3-rc4.jar' into the repostory (along with 
an md5 for it). This didn't help either. There seems to be some 
confusion in the various xml files about whether it wants

geronimo-spec-corba-2.3-$version} or
geronimo-corba_2.3_spec-${version}

and I suspect that this needs to be sorted - a quick search yields the 
follwing files referencing 'geronimo-corba_2.3_spec':

./configs/j2ee-deployer/project.xml
./assemblies/j2ee-installer/project.xml
./assemblies/j2ee-tomcat-server/project.xml
./assemblies/j2ee-jetty-server/project.xml
./modules/interop/project.xml

Maybe I need to patch these too?

Thanks

Mark

Mime
View raw message